App::Pinto::Command::default(3pm)

NAME
App::Pinto::Command::default - mark the default stack

VERSION
version 0.097

SYNOPSIS
  pinto --root=REPOSITORY_ROOT default [OPTIONS] [STACK]

DESCRIPTION
This command marks the given "STACK" as the default stack for the repository. The existing default stack (if one exists) is thereby unmarked. The default stack is used by most pinto commands where a stack is not explicitly specified either by option or argument.

If the "--none" option is given instead of a "STACK" argument, then the default stack is unmarked (if one exists). When a repository has no default stack, you will have to explicitly specify the stack as option or argument for most pinto commands.

Use the stacks command to list the stacks that currently exist in the repository and show which one is the default.

BEWARE
Think carefully before changing the default stack. This will dramatically affect all users of the repository, so it is wise to notify them well in advance.

COMMAND ARGUMENTS
The argument is the name of the stack you wish to mark as the default. The stack must already exist. A stack argument cannot be used when the "--none" option is specified.

COMMAND OPTIONS

--none
    Unmarks the default stack (if one exists). This option cannot be used when the "STACK" argument is specified.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.